/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.jpa;

import static org.fest.assertions.Assertions.assertThat;

import java.util.Date;

import net.sf.oqt.jpa.ParameterFactory;

import org.junit.Test;

public class ParameterFactoryTest {

	@Test
	public void testIntialize() {
		t(Long.class);
		t(Integer.class);
		t(Short.class);
		t(String.class);
		t(Boolean.class);
		t(Date.class);
	}

	private void t(final Class<?> clazz) {
		t(clazz, clazz);
	}

	private void t(final Class<?> wanted, final Class<?> expected) {
		final Object o = ParameterFactory.intialize(wanted);
		assertThat(o).isNotNull().isInstanceOf(expected);
	}

}
