/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.jpa.failentities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

@Entity
@Table(name = "TABLE_A")
@NamedQuery(name = "findByNameAndSurname", query = "select ent from TableA where lower(ent.name) = lower(:name) and lower(ent.surname) = lower(:surname)")
public class TableFail {

	@Id
	@Column(name = "ID")
	private Long id;

	@Column(name = "NAME")
	private String name;

	@Column(name = "SURNAME")
	private String surname;

	@Column(name = "COMMENT")
	private String comment;

	@Column(name = "AGE")
	private Integer age;

	@Column(name = "FAV")
	private Boolean fav;

	public final Long getId() {
		return id;
	}

	public final void setId(final Long id) {
		this.id = id;
	}

	public final String getName() {
		return name;
	}

	public final void setName(final String name) {
		this.name = name;
	}

	public final String getSurname() {
		return surname;
	}

	public final void setSurname(final String surname) {
		this.surname = surname;
	}

	public final String getComment() {
		return comment;
	}

	public final void setComment(final String comment) {
		this.comment = comment;
	}

	public final Integer getAge() {
		return age;
	}

	public final void setAge(final Integer age) {
		this.age = age;
	}

	public final Boolean getFav() {
		return fav;
	}

	public final void setFav(final Boolean fav) {
		this.fav = fav;
	}

}
