/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.model;

import static org.fest.assertions.Assertions.assertThat;

import net.sf.oqt.model.QueryVO;

import org.junit.Before;
import org.junit.Test;

public class QueryVOTest {

	private QueryVO vo1 = null;
	private QueryVO vo2 = null;

	@Before
	public void setUp() throws Exception {
		vo1 = new QueryVO("name1", "select fromt bla");
		vo2 = new QueryVO("name2", "select fromt bla");
	}

	@Test
	public void testCompareTo() {
		assertThat(vo1.compareTo(vo2)).isEqualTo("name1".compareToIgnoreCase("name2"));
		assertThat(vo1.compareTo(vo1)).isEqualTo(0);
	}

	@Test
	public void testIsValid() {
		vo1.setError("bla");
		assertThat(vo1.isValid()).isFalse();
		assertThat(vo2.isValid()).isTrue();
		vo2.setError("");
		assertThat(vo2.isValid()).isTrue();
	}

	@Test
	public void testEqualsObject() {
		assertThat(vo1.equals(vo2)).isFalse();
		assertThat(vo1.equals(new QueryVO("name1", "test"))).isTrue();
	}

}
